> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Cancel Voucher Reservation

POST https://api.npretail.app/{tenant}/{environment}/{company}/voucher/reservation/{reservationId}

Use this endpoint to cancel a reservation on a voucher.

Reference: https://docs.navipartner.com/apis/api-reference/vouchers/voucher/cancelreserve-voucher

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `reservationId` (UUID, required) — The unique identifier of the reservation

## Response

### 200

- `reservation` (ReservationVoucherDTO, required) — Information about reservation

## Types

### ReservationVoucherDTO

Information about reservation

- `voucherId` (UUID, required) — A unique identifier for the voucher
- `referenceNo` (string, required) — A unique reference number for the voucher
- `StartingDate` (datetime, required) — The datetime as from which the voucher is valid
- `EndingDate` (datetime, required) — The datetime as from which the voucher is no longer valid
- `initialAmount` (double, required) — The initial amount of the voucher
- `amount` (double, required) — The amount remaining on the voucher
- `reservedAmount` (double, required) — The amount after reservation is cancelled

## Examples

**Response**

```json
{
  "reservation": {
    "voucherId": "59adfec5-eca9-47b5-b6bf-6f4222db8de8",
    "referenceNo": "2802000002460",
    "StartingDate": "2024-09-17T00:00:00",
    "EndingDate": "2024-09-17T00:00:00",
    "initialAmount": 1000,
    "amount": 850,
    "reservedAmount": 100
  }
}
```

**SDK Code**

```python Example Cancel Reserve Voucher
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example Cancel Reserve Voucher
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000';
const options = {method: 'POST', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example Cancel Reserve Voucher
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example Cancel Reserve Voucher
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Example Cancel Reserve Voucher
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Example Cancel Reserve Voucher
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Example Cancel Reserve Voucher
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Example Cancel Reserve Voucher
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./voucher/reservation/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```